# Record Class IStickyLinesProvider.StickyLinesProperties

java.lang.Object
java.lang.Record
org.eclipse.ui.texteditor.stickyscroll.IStickyLinesProvider.StickyLinesProperties

Record Components:
  `tabWith` - The with of a tab
  `editor` - The editor for which the sticky lines should be provided

Enclosing interface:
  `IStickyLinesProvider`

public static record IStickyLinesProvider.StickyLinesProperties(int tabWith, IEditorPart editor) extends Record
Additional properties and access in order to calculate the sticky lines.

Since:
  3.20

## Constructor Summary

Constructors
Constructor
Description
`StickyLinesProperties(int tabWith, IEditorPart editor)`
Creates an instance of a `StickyLinesProperties` record class.

## Method Summary

Modifier and Type
Method
Description
`IEditorPart`
`editor()`
Returns the value of the `editor` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`int`
`tabWith()`
Returns the value of the `tabWith` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StickyLinesProperties

public StickyLinesProperties(int tabWith, IEditorPart editor)
Creates an instance of a `StickyLinesProperties` record class.

Parameters:
  `tabWith` - the value for the `tabWith` record component
  `editor` - the value for the `editor` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### tabWith

public int tabWith()
Returns the value of the `tabWith` record component.

Returns:
  the value of the `tabWith` record component

### editor

public IEditorPart editor()
Returns the value of the `editor` record component.

Returns:
  the value of the `editor` record component